apiVersion: v1
kind: Secret
metadata:
  name: db-pw-dbcluster-sample
  namespace: db
type: Opaque
data:
  dbcluster-sample: "b2RzcGFzc3dvcmQ=" # Password is odspassword
---
apiVersion: alloydbomni.dbadmin.goog/v1
kind: DBCluster
metadata:
  name: dbcluster-sample
  namespace: db
spec:
  allowExternalIncomingTraffic: false
  databaseVersion: "15.5.2"
  isDeleted: false
  availability:
    numberOfStandbys: 0
  mode: ""
  primarySpec:
    adminUser:
      passwordRef:
        name: db-pw-dbcluster-sample
    allowExternalIncomingTrafficToInstance: false
    auditLogTarget: {}
    walArchiveSetting:
      location: wal/log
    features: {}
    resources:
      cpu: "2"
      disks:
      - name: DataDisk
        size: 100Gi
      - name: LogDisk
        size: 30Gi
      memory: 5Gi
    services:
      Logging: true
      Monitoring: true
    sidecarRef:
      name: cv-sidecar-config